package com.zskk.dicom.monitor.monitors;

import com.zskk.dicom.monitor.config.Configs;
import com.zskk.dicom.monitor.queue.IQueue;

import java.io.File;
import java.util.Timer;
import java.util.TimerTask;

public class BaseFileActionCallback extends FileActionCallback {

    private IQueue<String> queue = null;
    public BaseFileActionCallback(IQueue<String> queue) {
        this.queue = queue;
    }

    @Override
    public void delete(File file) {
        String msg = "File delete \t" + file.getAbsolutePath();
        Configs.sysLog.info(msg);
    }

    @Override
    public void modify(File file) {
        String msg = "File update \t" + file.getAbsolutePath();
        String absolutePath = file.getAbsolutePath();
        if(absolutePath.endsWith("dcm")) {
            Timer timer = new Timer();
            timer.schedule(new TimerTask() {

                @Override
                public void run() {
                    // TODO Auto-generated method stub
                    queue.push(file.getAbsolutePath());
                }
            }, 1000);
        }
        Configs.sysLog.info(msg+"---------监听新文件夹移动");
    }

    @Override
    public void create(File file) {
        String msg = "File update \t" + file.getAbsolutePath();
        String absolutePath = file.getAbsolutePath();
        if(absolutePath.endsWith("dcm")) {
            Timer timer = new Timer();
            timer.schedule(new TimerTask() {

                @Override
                public void run() {
                    queue.push(file.getAbsolutePath());
                }
            }, 1000);
        }
        Configs.sysLog.info(msg+"---------监听新文件夹移动");
    }
}
