package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.IQueue;
import com.zskk.dicom.monitor.uploader.BaseFileUploader;
import org.apache.http.util.TextUtils;

// todo
public abstract class BaseUploadRunner extends  AbstractUploadRunner {

    @Override
    public boolean upload() {
        boolean flag = false;
        String filePath = getUploadFilePath();
        if(TextUtils.isEmpty(filePath)) {
            return flag;
        }
        flag = upload(filePath);
        return flag;
    }

    private boolean upload(String filePath) {
        return BaseFileUploader.upload(filePath, getSuccessQueue(), getErrorQueue());
    }

    protected abstract String getUploadFilePath();

    protected abstract IQueue<String> getSuccessQueue();

    protected abstract IQueue<String> getErrorQueue();
}