package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.CurrentUploadQueue;
import com.zskk.dicom.monitor.queue.IQueue;
import com.zskk.dicom.monitor.queue.RemoveFile2RetryQueue;
import com.zskk.dicom.monitor.queue.SuccessQueue;

public class CurrentUploadRunner extends BaseUploadRunner {

    @Override
    protected IQueue<String> getSuccessQueue() {
        return SuccessQueue.getInstance();
    }

    @Override
    protected IQueue<String> getErrorQueue() {
        return RemoveFile2RetryQueue.getInstance();
    }

    @Override
    protected String getUploadFilePath() {
        return (String) CurrentUploadQueue.getInstance().pop();
    }

    @Override
    protected boolean empty() {
        return CurrentUploadQueue.getInstance().empty();
    }

    @Override
    protected int size() {
        return CurrentUploadQueue.getInstance().size();
    }

    @Override
    protected String getQueueName() {
        return "CurrentUploadQueue";
    }

    @Override
    protected String getRunnerName() {
        return "CurrentUploadRunner";
    }

    @Override
    protected boolean exit() {
        return false;
    }
}
