package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.CurrentRetryUploadQueue;
import com.zskk.dicom.monitor.queue.ErrorQueue;
import com.zskk.dicom.monitor.queue.IQueue;
import com.zskk.dicom.monitor.queue.SuccessQueue;

public class RetryCurrentUploadRunner extends BaseUploadRunner {

    @Override
    protected IQueue<String> getSuccessQueue() {
        return SuccessQueue.getInstance();
    }

    @Override
    protected IQueue<String> getErrorQueue() {
        return ErrorQueue.getInstance();
    }

    @Override
    protected String getUploadFilePath() {
        return (String) CurrentRetryUploadQueue.getInstance().pop();
    }

    @Override
    protected boolean empty() {
        return CurrentRetryUploadQueue.getInstance().empty();
    }

    @Override
    protected int size() {
        return CurrentRetryUploadQueue.getInstance().size();
    }

    @Override
    protected String getQueueName() {
        return "CurrentRetryUploadQueue";
    }

    @Override
    protected String getRunnerName() {
        return "RetryCurrentUploadRunner";
    }

    @Override
    protected boolean exit() {
        return false;
    }
}
