package com.zskk.dicom.response;

import com.zskk.dicom.config.NetCodeConfig;
import com.zskk.dicom.response.bean.BaseResponseBean;

public class BaseResponse<T extends BaseResponseBean>{
	private String code;
	private String msg;
	private Exception error;
	private T data;
	public BaseResponse(String code, String msg , Exception e) {
		this.code = code;
		this.msg = msg;
		this.error = e;
	}
	
	public String getCode() {
		return this.code;
	}
	
	public String getMsg() {
		return this.msg;
	}
	
	public Exception getError() {
		return this.error;
	}
	
	public BaseResponse setCode(String code) {
		this.code = code;
		return this;
	}
	
	public BaseResponse setMsg(String msg) {
		this.msg = msg;
		return this;
	}
	
	public BaseResponse setError(Exception e) {
		this.error = e;
		return this;
	}
	
	public BaseResponse setData(T data) {
		this.data = data;
		return this;
	}
	
	public T getData() {
		return this.data;
	}
	
	public boolean isError() {
		return !isSuccess();
	}
	
	public boolean isSuccess() {
		return NetCodeConfig.SUCCESS.equals(this.getCode());
	}
}
